Skip to content
Framework Docs

List Directory Files

client.Beta.Directories.Files.List(ctx, directoryID, query) (*PaginatedCursor[BetaDirectoryFileListResponse], error)
GET/api/v1/beta/directories/{directory_id}/files

List all files within the specified directory with optional filtering and pagination.

ParametersExpand Collapse
directoryID string
query BetaDirectoryFileListParams
DisplayName param.Field[string]optional
DisplayNameContains param.Field[string]optional
FileID param.Field[string]optional
IncludeDeleted param.Field[bool]optional
OrganizationID param.Field[string]optional
PageSize param.Field[int64]optional
PageToken param.Field[string]optional
ProjectID param.Field[string]optional
UniqueID param.Field[string]optional
ReturnsExpand Collapse
type BetaDirectoryFileListResponse struct{…}

API response schema for a directory file.

ID string

Unique identifier for the directory file.

DirectoryID string

Directory the file belongs to.

DisplayName string

Display name for the file.

minLength1
ProjectID string

Project the directory file belongs to.

UniqueID string

Unique identifier for the file in the directory

minLength1
CreatedAt Timeoptional

Creation datetime

formatdate-time
DataSourceID stringoptional

Optional data source credential associated with the file.

DeletedAt Timeoptional

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
FileID stringoptional

File ID for the storage location.

Metadata map[string, BetaDirectoryFileListResponseMetadataUnion]optional

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
float64
bool
UpdatedAt Timeoptional

Update datetime

formatdate-time

List Directory Files

package main

import (
  "context"
  "fmt"

  "github.com/stainless-sdks/llamacloud-prod-go"
  "github.com/stainless-sdks/llamacloud-prod-go/option"
)

func main() {
  client := llamacloudprod.NewClient(
    option.WithAPIKey("My API Key"),
  )
  page, err := client.Beta.Directories.Files.List(
    context.TODO(),
    "directory_id",
    llamacloudprod.BetaDirectoryFileListParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "items": [
    {
      "id": "id",
      "directory_id": "directory_id",
      "display_name": "x",
      "project_id": "project_id",
      "unique_id": "x",
      "created_at": "2019-12-27T18:11:19.117Z",
      "data_source_id": "data_source_id",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "file_id": "file_id",
      "metadata": {
        "foo": "string"
      },
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "id",
      "directory_id": "directory_id",
      "display_name": "x",
      "project_id": "project_id",
      "unique_id": "x",
      "created_at": "2019-12-27T18:11:19.117Z",
      "data_source_id": "data_source_id",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "file_id": "file_id",
      "metadata": {
        "foo": "string"
      },
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}